## vigor 0.016

=== ip_cl/Makefile ===
# TR turns on tracing, to the specified file.
TR=	-DTR=\"/dev/ttypa\"
#TR=	-DTR=\"__log\"

# VI is the binary that ip_cl runs.
VI=	-DVI=\"../build.local/nvi\"

DEBUG=	-DDEBUG -g
INC=	-I. -I../build.local -I../include
CFLAGS=	$(DEBUG) $(TR) $(VI) $(INC)

OBJS=	ip_cl.o

LIBS=	-lcurses -ltermcap

ip_cl: ${OBJS}
	${CC} ${OBJS} -o $@ ${LIBS}

clean:
	rm -f ip_cl ${OBJS}

=== docs/USD.doc/edit/Makefile ===
# @(#)Makefile	8.4 (Berkeley) 8/18/96

ROFF=	groff
TBL=	tbl

edittut.ps: edittut.ms
	${TBL} edittut.ms | ${ROFF} -ms > $@
	chmod 444 $@

clean:
	rm -f edittut.ps

=== docs/USD.doc/exref/Makefile ===
# @(#)Makefile	8.8 (Berkeley) 10/10/96

ROFF=	groff
TBL=	tbl

all: exref.ps summary.ps

exref.ps: ex.rm
	${TBL} ex.rm | ${ROFF} -ms > $@
	chmod 444 $@

summary.ps: ex.summary
	${TBL} ex.summary | ${ROFF} -ms > $@
	chmod 444 $@

clean:
	rm -f exref.ps summary.ps

=== docs/USD.doc/vi.man/Makefile ===
# @(#)Makefile	8.7 (Berkeley) 8/18/96

ROFF=	groff

all: vi.0 vi.0.ps

vi.0: vi.1
	${ROFF} -man -Tascii < vi.1 > $@
	chmod 444 $@

vi.0.ps: vi.1
	${ROFF} -man < vi.1 > $@
	chmod 444 $@

clean:
	rm -f vi.0 vi.0.ps

=== docs/USD.doc/vi.ref/Makefile ===
#	@(#)Makefile	8.20 (Berkeley) 8/18/96

MACROS=	-me
ROFF=	groff
TBL=	tbl

all: vi.ref.txt vi.ref.ps

vi.ref.txt: vi.ref index.so
	soelim vi.ref | ${TBL} | groff ${MACROS} -Tascii > $@
	rm -f index
	chmod 444 $@

vi.ref.ps: vi.ref index.so
	soelim vi.ref | ${TBL} | ${ROFF} ${MACROS} > $@
	rm -f index
	chmod 444 $@

index.so: vi.ref
	# Build index.so, side-effect of building the paper.
	soelim vi.ref | ${TBL} | ${ROFF} ${MACROS} > /dev/null
	sed -e 's/MINUSSIGN/\\-/' \
	    -e 's/DOUBLEQUOTE/""/' \
	    -e "s/SQUOTE/'/" \
	    -e 's/ /__SPACE/g' < index | \
	sort -u '-t	' +0 -1 +1n | awk -f merge.awk | \
	sed -e 's/__SPACE/ /g' > $@
	rm -f index
	chmod 444 $@

clean:
	rm -f vi.ref.ps vi.ref.txt index index.so

=== debian/changelog ===
vigor (0.016-32build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:29:17 +1100

vigor (0.016-32) unstable; urgency=medium

  * Add many missing #includes (closes: #1066078).

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Mar 2024 10:47:11 +0000

vigor (0.016-31) unstable; urgency=medium

  * Use secure URI in Homepage field.
  * Update watch file format version to 4.
  * Build-depend on libncurses-dev rather than obsolete libncurses5-dev.

 -- Colin Watson <cjwatson@debian.org>  Sun, 24 Dec 2023 13:07:39 +0000

vigor (0.016-30) unstable; urgency=medium

  * Simplify a debhelper override slightly.
  * Policy version 4.6.2.
  * Remove workaround for #707336 in debhelper, fixed long ago.

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 Dec 2022 14:55:25 +0000

vigor (0.016-29) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

  [ Colin Watson ]
  * Upgrade to debhelper v13.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Dec 2021 02:43:11 +0000

vigor (0.016-28) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * Borrow patch from nvi to avoid including <sys/stropts.h>, which no
    longer exists as of glibc 2.30.

 -- Colin Watson <cjwatson@debian.org>  Wed, 11 Sep 2019 18:12:12 +0100

vigor (0.016-27) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Colin Watson ]
  * Set Rules-Requires-Root: no.
  * Configure with vi_cv_path_shell=/bin/sh (closes: #915655).

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Dec 2018 16:43:05 +0000

vigor (0.016-26) unstable; urgency=medium

  * Drop "Provides: editor".  This may soon be dropped entirely (see
    #682347), but in any case I think it highly unlikely that anyone wants
    this package as a randomly-selected editor in the event of a dependency
    on "editor".
  * Remove the vi, view, and editor alternatives, for much the same reason.
  * Change priority to optional, since "Priority: extra" is now deprecated.
  * Move VCS to salsa.debian.org.
  * Convert debian/copyright to copyright-format 1.0.
  * Policy version 4.1.3.

 -- Colin Watson <cjwatson@debian.org>  Sat, 10 Feb 2018 01:53:29 +0000

vigor (0.016-25) unstable; urgency=medium

  * Use HTTPS for Vcs-* URLs.
  * Build with all hardening options.

 -- Colin Watson <cjwatson@debian.org>  Tue, 09 Feb 2016 16:02:41 +0000

vigor (0.016-24) unstable; urgency=medium

  * Update Vcs-Browser URL for alioth cgit.
  * CVE-2015-2305: Use libc's regex routines rather than the bundled ones,
    to avoid needing to apply security patches independently (closes:
    #778409).

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Feb 2015 21:17:07 +0000

vigor (0.016-23) unstable; urgency=low

  * Add a header to debian/patches/client-side-fonts.patch.
  * Add a Homepage field.
  * Build with large file support, for those times when you just have to
    edit a >=2GiB file using Vigor.
  * Switch to git; adjust Vcs-* fields.

 -- Colin Watson <cjwatson@debian.org>  Thu, 02 Jan 2014 06:15:54 +0000

vigor (0.016-22) unstable; urgency=low

  * Work around debhelper change in 9.20130507 (reported in #707336) that
    breaks our build (closes: #707505).

 -- Colin Watson <cjwatson@debian.org>  Thu, 09 May 2013 10:42:30 +0100

vigor (0.016-21) unstable; urgency=low

  * Remove config-guess-sub.patch in favour of updating config.guess and
    config.sub automatically at build time.  dh_autoreconf does not take
    care of that by default because vigor does not use automake.
  * Drop build/configure part of tcl-versions.patch, obsoleted by
    dh_autoreconf.
  * Port to Tcl/Tk 8.6.

 -- Colin Watson <cjwatson@debian.org>  Fri, 21 Dec 2012 12:25:33 +0000

vigor (0.016-20) unstable; urgency=low

  * Overhaul build system to work with modern autotools.
  * Use dh-autoreconf.
  * Support parallel builds.
  * When cross-building, make sure to build a2c with the native compiler.

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Dec 2012 12:09:02 +0000

vigor (0.016-19) unstable; urgency=low

  * Drop manual and not-very-useful 'debian/rules configure' target.
  * Upgrade to debhelper 9, mainly for hardening build flags support.

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jun 2012 14:50:22 +0100

vigor (0.016-18) unstable; urgency=low

  * Build-depend on libxt-dev for AC_PATH_X (closes: #654320).

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Jan 2012 02:14:23 +0000

vigor (0.016-17) unstable; urgency=low

  * Switch to tcl8.5 and tk8.5 (closes: #653550).
  * Switch to debhelper 8.
  * Use client-side fonts.  Server-side fonts don't seem to work properly in
    Tk 8.5.

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Dec 2011 11:57:12 +0000

vigor (0.016-16) unstable; urgency=low

  * Use 'dh <sequence> --options' rather than 'dh --options <sequence>', for
    forward-compatibility with debhelper v8.
  * Update Vcs-Bzr field for Alioth changes.
  * Add build-arch and build-indep targets.

 -- Colin Watson <cjwatson@debian.org>  Thu, 08 Sep 2011 11:01:07 +0100

vigor (0.016-15) unstable; urgency=low

  * Convert to source format 3.0 (quilt) and DEP-3 patch tagging.
  * Never automatically rebuild autotools files.  It's likely to cause
    problems given the ancient autoconf in use here, and the output produced
    by automatic rebuilds confuses dh_auto_* when trying to detect make
    targets.

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Mar 2010 01:31:07 +0000

vigor (0.016-14) unstable; urgency=low

  * Use dh --sourcedirectory=build, simplifying debian/rules. Requires
    debhelper 7.3.0.

 -- Colin Watson <cjwatson@debian.org>  Thu, 18 Feb 2010 00:50:03 +0000

vigor (0.016-13) unstable; urgency=low

  * Update DEB_BUILD_OPTIONS parsing code from policy 3.8.0.
  * Imported into a branch on bzr.debian.org; add Vcs-Bzr control field.


=== debian/control ===
Source: vigor
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper-compat (= 13),
               libncurses-dev,
               libx11-dev,
               libxt-dev,
               tcl8.6-dev,
               tk8.6-dev,
Standards-Version: 4.6.2
Homepage: https://vigor.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/vigor.git
Vcs-Browser: https://salsa.debian.org/debian/vigor
Rules-Requires-Root: no

Package: vigor
Architecture: any
Depends: perl-tk,
         ${misc:Depends},
         ${shlibs:Depends},
Description: nvi with the evil paperclip
 Vigor is a perpetration of the Microsoft Word "Office Assistant" paperclip,
 based on nvi. It was inspired by Pitr of the "User Friendly" comic strip
 (http://www.userfriendly.org/).
 .
 Some people have speculated that Vigor was created under the influence of
 the evil Crud Puppy. The maintainer of this Debian package would like to
 stress his firm belief that these foul rumours are entirely without
 foundation.

=== debian/rules ===
#! /usr/bin/make -f

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND := \
	-I/usr/include/tcl8.6 \
	-D_FILE_OFFSET_BITS=64

%:
	dh $@ --sourcedirectory=build --builddirectory=debian/build

override_dh_auto_configure:
	dh_auto_configure -- --with-x --enable-db vi_cv_path_shell=/bin/sh

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
execute_before_dh_auto_build:
	$(MAKE) -C debian/build a2c CC=gcc
endif

override_dh_clean:
	# This is in the upstream tarball, so shouldn't be removed.
	dh_clean -X 'vi/#v_xchar.c#'

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/vigor/usr

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog

=== debian/watch ===
version=4
https://sf.net/vigor/vigor-(.*)\.tar\.gz
